curl https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
const onye = await fetch(
`https://api.kwugwo.africa/v1/onye/${onyeUid}`,
{ headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` } }
).then(r => r.json());
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
$onye = json_decode(curl_exec($ch), true);
curl_close($ch);
import os, requests
onye = requests.get(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
).json()
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"ref": "user_8821",
"first_name": "Ada",
"last_name": "Okeke",
"status": "active",
"created_at": "2026-05-15T09:14:22+00:00"
}
{
"type": "https://tools.ietf.org/html/rfc2616#section-10",
"title": "Not Found",
"status": 404,
"detail": "onye_nzube.error.not_found"
}
Customers (Onye)
Get a customer
Fetch a single customer by ID.
GET
/
v1
/
onye
/
{uid}
curl https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
const onye = await fetch(
`https://api.kwugwo.africa/v1/onye/${onyeUid}`,
{ headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` } }
).then(r => r.json());
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
$onye = json_decode(curl_exec($ch), true);
curl_close($ch);
import os, requests
onye = requests.get(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
).json()
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"ref": "user_8821",
"first_name": "Ada",
"last_name": "Okeke",
"status": "active",
"created_at": "2026-05-15T09:14:22+00:00"
}
{
"type": "https://tools.ietf.org/html/rfc2616#section-10",
"title": "Not Found",
"status": 404,
"detail": "onye_nzube.error.not_found"
}
Returns the customer identified by
uid. Returns 404 if the
customer does not exist on this workspace or has been deleted.
Path parameters
Customer ID,
ony.XXXX.YYYY....Response
Same shape as the Create response.curl https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
const onye = await fetch(
`https://api.kwugwo.africa/v1/onye/${onyeUid}`,
{ headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` } }
).then(r => r.json());
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
$onye = json_decode(curl_exec($ch), true);
curl_close($ch);
import os, requests
onye = requests.get(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
).json()
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"ref": "user_8821",
"first_name": "Ada",
"last_name": "Okeke",
"status": "active",
"created_at": "2026-05-15T09:14:22+00:00"
}
{
"type": "https://tools.ietf.org/html/rfc2616#section-10",
"title": "Not Found",
"status": 404,
"detail": "onye_nzube.error.not_found"
}
⌘I

